Page MenuHomePhabricator

Improve test coverage for the MachineVision extension
Open, MediumPublic

Description

Due to the tight development deadline for the Computer-Aided Tagging feature, much of the code in the MachineVision extension is not yet covered by tests. Now that the code is nearly complete and we are waiting on tech reviews, this task is to fill out test coverage prior to the official feature launch.

Classes needing test coverage:

PHP

(note: MediaWiki\Extension\MachineVision\ prefix omitted from classpaths)

JS
  • DOMLessGroupWidget
  • TemplateRenderingDOMLessGroupWidget
  • ConfirmTagsDialog (patch)
  • ImageWithSuggestionWidget (patch)
  • OnboardingDialog
  • PersonalUploadsCount
  • SuggestedTagsCardstack (patch)
  • SuggestedTagsPage (patch, incomplete)
  • SuggestionWidget (patch)
  • UserMessage (patch)

My intent is not that one person picks this up in its entirety, but that anyone can add tests for an individual class or related group of classes as time becomes available. Please sign up next to one or more classes as you intend to work on adding tests for them, as I've done above for TitleFilter.

Details

Related Gerrit Patches:
mediawiki/extensions/MachineVision : masterAdd tests for SuggestedTagsCardstack
mediawiki/extensions/MachineVision : masterTest SuggestedTagsPage widget
mediawiki/extensions/MachineVision : masterAdd tests for ImageWithSuggestionWidget, ConfirmTagsDialog, and UserMessage
mediawiki/extensions/MachineVision : masterdev: Util tests
mediawiki/extensions/MachineVision : masterTests for LabelSuggestions

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2019, 6:05 PM
Mholloway triaged this task as High priority.Oct 29 2019, 6:06 PM
Mholloway updated the task description. (Show Details)
Mholloway moved this task from Backlog to Epics on the MachineVision board.
Mholloway updated the task description. (Show Details)Oct 29 2019, 6:09 PM
Mholloway updated the task description. (Show Details)
AnneT awarded a token.Oct 29 2019, 6:10 PM
Mholloway updated the task description. (Show Details)Oct 29 2019, 6:12 PM
Mholloway updated the task description. (Show Details)
AnneT updated the task description. (Show Details)Oct 30 2019, 2:28 PM

Change 547226 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Disable publish and reset buttons on reset

https://gerrit.wikimedia.org/r/547226

Change 547325 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/MachineVision@master] Tests for LabelSuggestions

https://gerrit.wikimedia.org/r/547325

MSantos updated the task description. (Show Details)Oct 30 2019, 9:55 PM

Change 547336 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/MachineVision@master] dev: Util tests

https://gerrit.wikimedia.org/r/547336

MSantos updated the task description. (Show Details)Oct 30 2019, 10:54 PM
Mholloway updated the task description. (Show Details)Nov 4 2019, 7:54 PM

Change 547325 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Tests for LabelSuggestions

https://gerrit.wikimedia.org/r/547325

Change 547336 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] dev: Util tests

https://gerrit.wikimedia.org/r/547336

Change 549189 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Add tests for ImageWithSuggestionWidget, ConfirmTagsDialog, and UserMessage

https://gerrit.wikimedia.org/r/549189

AnneT updated the task description. (Show Details)Nov 6 2019, 7:53 PM

Change 549205 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Add tests for SuggestedTagsCardstack

https://gerrit.wikimedia.org/r/549205

AnneT updated the task description. (Show Details)Nov 6 2019, 9:22 PM

Change 549580 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Test SuggestedTagsPage widget

https://gerrit.wikimedia.org/r/549580

AnneT updated the task description. (Show Details)Nov 7 2019, 5:47 PM
AnneT updated the task description. (Show Details)

Change 549189 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Add tests for ImageWithSuggestionWidget, ConfirmTagsDialog, and UserMessage

https://gerrit.wikimedia.org/r/549189

Change 549580 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Test SuggestedTagsPage widget

https://gerrit.wikimedia.org/r/549580

Change 549205 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Add tests for SuggestedTagsCardstack

https://gerrit.wikimedia.org/r/549205

AnneT updated the task description. (Show Details)Nov 27 2019, 8:55 PM
Mholloway lowered the priority of this task from High to Medium.Dec 18 2019, 12:22 AM

Reflecting reality...